Skip to content

Update a block

PATCH
/api/bloqueos/{bloqueoId}/
curl --request PATCH \
--url https://api.koibox.cloud/api/bloqueos/1/ \
--header 'Content-Type: application/json' \
--header 'X-Koibox-Key: <X-Koibox-Key>' \
--data '{ "user": 1, "centro": 1, "fecha": "2026-04-15", "hora_inicio": "example", "hora_fin": "example", "titulo": "example", "recurrencia": "none", "is_online": true }'
bloqueoId
required
integer
Media typeapplication/json
object
id

Read-only

integer
created

Read-only

string format: date-time
updated

Read-only

string format: date-time
created_by

ID of the creator user, read-only

integer
user
required

ID of the user affected by the block

integer
centro
required
integer
fecha
required

Date of the block, expected in the center’s time zone

string format: date
hora_inicio
required
string format: time
hora_fin
required
string format: time
titulo
required
string
recurrencia
required

How often the block repeats, day_1___ == every day

string
Allowed values: none day_1___ week_1___ week_2___ month_1___
is_online

Determines if the block affects online reservations. Required if appointment is not null

boolean
cita

Online appointment that created the block. Required if is_online is true

integer
employee_name

Full name of the employee, read-only

string
recurrence_description

Read-only

string

The modified block

Media typeapplication/json
object
id

Read-only

integer
created

Read-only

string format: date-time
updated

Read-only

string format: date-time
created_by

ID of the creator user, read-only

integer
user
required

ID of the user affected by the block

integer
centro
required
integer
fecha
required

Date of the block, expected in the center’s time zone

string format: date
hora_inicio
required
string format: time
hora_fin
required
string format: time
titulo
required
string
recurrencia
required

How often the block repeats, day_1___ == every day

string
Allowed values: none day_1___ week_1___ week_2___ month_1___
is_online

Determines if the block affects online reservations. Required if appointment is not null

boolean
cita

Online appointment that created the block. Required if is_online is true

integer
employee_name

Full name of the employee, read-only

string
recurrence_description

Read-only

string

The access key has not been provided in the X-Koibox-Key header

WWW-Authenticate
string
default: X-Koibox-Key

Indicates the required header for authentication

No valid access key has been provided

The resource was not found